# 
#  Makefile for MFC C++ application : travel
# 
SRCDIR = ./
INCDIR = ./
OBJDIR = ./
RESDIR = ./
LIBDIR = ./
EXEDIR = ./
LNKRSP = @.\travel.lnk

# Error listing file
ERROUT    = >> Errors

CC        = cl.exe
LINK      = link.exe
RC        = rc.exe
IMPLIB    = implib.exe
CFLAGS    = -c -FR -G2 -Gs -W3 -Zi -nologo -O1 -DNDEBUG -GEf -D_AFXDLL -GA -AL
CDEFINES  = 
LINKFLAGS = /nologo /nod /B /packcode:64440 /onerror:noexe
COMPILE   = $(CC) $(CFLAGS) $(CDEFINES)

.Silent:

ALL : $(EXEDIR)travel.exe

$(OBJDIR)travel.obj : $(SRCDIR)travel.cpp $(INCDIR)mainapp.h
   echo compiling travel.cpp
   $(COMPILE)  -Fo./  $(SRCDIR)travel.cpp $(ERROUT)

$(OBJDIR)Abouttra.obj : $(SRCDIR)Abouttra.cpp $(INCDIR)Abouttra.h
   echo compiling Abouttra.cpp
   $(COMPILE)  -Fo./  $(SRCDIR)Abouttra.cpp $(ERROUT)

$(OBJDIR)distance.obj : $(SRCDIR)distance.cpp $(INCDIR)distance.h
   echo compiling distance.cpp
   $(COMPILE)  -Fo./  $(SRCDIR)distance.cpp $(ERROUT)

$(OBJDIR)newpath.obj : $(SRCDIR)newpath.cpp $(INCDIR)newpath.h
   echo compiling newpath.cpp
   $(COMPILE)  -Fo./  $(SRCDIR)newpath.cpp $(ERROUT)

$(OBJDIR)newcity.obj : $(SRCDIR)newcity.cpp $(INCDIR)newcity.h
   echo compiling newcity.cpp
   $(COMPILE)  -Fo./  $(SRCDIR)newcity.cpp $(ERROUT)

$(RESDIR)travel.res : $(RESDIR)travel.rc $(INCDIR)Resource.h  $(RESDIR)*.dlg 
   echo compiling resources
   $(RC) -r $(RESDIR)travel.rc $(ERROUT)

$(EXEDIR)travel.exe : $(OBJDIR)travel.obj \
         $(RESDIR)travel.res \
         $(LIBDIR)travel.def \
         $(OBJDIR)Abouttra.obj \
         $(OBJDIR)distance.obj \
         $(OBJDIR)newpath.obj \
         $(OBJDIR)newcity.obj \

    echo Linking...
    $(LINK) $(LINKFLAGS) $(LNKRSP) $(ERROUT)
    echo Combining resources...
    $(RC) -K $(RESDIR)travel.res $(EXEDIR)travel.exe $(ERROUT)

    echo Finished

#*******************************************************************#
# End of make file : travel
#*******************************************************************#
